## ifcico-cm 3.0alpha.0.3.0-4

=== Makefile ===
# Copyright (c) Eugene G. Crosser, 1993
# Top-level makefile for ifcico package

include CONFIG

TARFILE = ifcico-${VERSION}.tar.gz
DIRS = iflib ifcico

all install depend man:
	for d in ${DIRS}; do (cd $$d && echo $$d && ${MAKE} $@) || exit; done;

clean:
	rm -f .filelist ${TARFILE}
	for d in ${DIRS}; do (cd $$d && echo $$d && ${MAKE} $@) || exit; done;


tar:	${TARFILE}

${TARFILE}:	filelist
	cd ..; ${TAR} -cv --exclude="*RCS*" -T ifcico-${VERSION}/.filelist -f - | gzip >${TARFILE}

filelist:
	echo ifcico-${VERSION}/Makefile >.filelist
	echo ifcico-${VERSION}/CONFIG >>.filelist
	echo ifcico-${VERSION}/ANNOUNCE >>.filelist
	echo ifcico-${VERSION}/ANNOUNCE.de >>.filelist
	echo ifcico-${VERSION}/README >>.filelist
	echo ifcico-${VERSION}/README-3.0.cm.alpha >>.filelist
	echo ifcico-${VERSION}/LSM >>.filelist
	echo ifcico-${VERSION}/misc >>.filelist
	echo ifcico-${VERSION}/contrib >>.filelist
	for d in ${DIRS}; do (cd $$d && echo $$d && ${MAKE} filelist && \
				cat filelist >>../.filelist) || exit; done;

=== ifcico/Makefile ===
# Makefile for ifcico FidoNet mailer
# Copyright (c) 1993, 1994 by Eugene G. Crosser

INCDIR = ../iflib

include ../CONFIG

# Include -DNOISEDEBUG to emulate noisy line. If defined, -jNNN option
# causes approximately every NNNth received character to be damaged.
#DEFINES = ${OPTS} -DNOISEDEBUG
DEFINES = -DCICOLOG=${CICOLOG} \
		-DMAILLOG=${MAILLOG} \
		${OPTS}

UTLIB = ../iflib/utlib.a
OBJCICO = version.o ifcico.o nodelist.o flagexp.o call.o callall.o answer.o \
		modemstr.o openport.o opentcp.o dial.o session.o \
		chat.o ttyio.o emsi.o ftsc.o yoohoo.o \
		filelist.o xmsend.o xmrecv.o sendbark.o recvbark.o \
		filetime.o m7recv.o m7send.o respfreq.o \
		rdoptions.o emsidat.o wazoo.o janus.o hydra.o \
		zmsend.o zmrecv.o zmmisc.o zmrle.o \
		tcp.o tcpproto.o \
		openfile.o ftscprod.o dietifna.o \
		nlindex.o openterm.o nldbz.o dbz.o
OBJINDEX = version.o ifindex.o nodebld.o nlindex.o nldbz.o dbz.o
OBJINFO = version.o ifinfo.o nodelist.o nlindex.o nldbz.o dbz.o
OBJROUTE = version.o ifroute.o mxlookup.o nodelist.o nlindex.o nldbz.o dbz.o
OBJPATCH = version.o nlpatch.o
OBJSTAT = version.o ifstat.o
SRCS = lastmtime.c ifcico.c nodelist.c call.c callall.c answer.c \
		modemstr.c openport.c opentcp.c dial.c session.c \
		chat.c ttyio.c emsi.c ftsc.c yoohoo.c \
		filelist.c xmsend.c xmrecv.c sendbark.c recvbark.c \
		filetime.c m7recv.c m7send.c respfreq.c \
		rdoptions.c emsidat.c wazoo.c janus.c hydra.c \
		zmsend.c zmrecv.c zmmisc.c zmrle.c \
		tcp.c tcpproto.c \
		openfile.c dietifna.c openterm.c \
		nlindex.c nodebld.c ifindex.c ifroute.c mxlookup.c \
		nlpatch.c nldbz.c dbz.c ifstat.c ifinfo.c
HDRS = nodelist.h statetbl.h session.h ttyio.h emsi.h zmodem.h \
		ftscprod.h nlindex.h janus.h hydra.h fsm.h dbz.h nldbz.h
OTHER = README README.mxlookup README.TELNET Makefile \
		flaglex.l flagexp.y \
		ftscprod.090 mkprod.awk \
		ifcico.8 ifindex.8 ifinfo.8 ifroute.8 ifstat.8 nlpatch.8
ALL = ifcico ifindex ifinfo ifroute ifstat nlpatch

.c.o:
	${CC} -c ${CFLAGS} ${INCLUDES} ${DEFINES} $<

all:	${ALL}

ftscprod.c:	ftscprod.???
	${AWK} -F, -f mkprod.awk ftscprod.??? >ftscprod.c

flagexp.c:	flagexp.y
	${YACC} flagexp.y
	mv y.tab.c flagexp.c

flaglex.c:	flaglex.l
	${LEX} flaglex.l
	mv lex.yy.c flaglex.c

zmvars.h:	mkvars.c zmvars.def
	${CPP} mkvars.c >zmvars.h

zmvars.c:	mkvars.c zmvars.def
	${CPP} -DMAKE_C mkvars.c >zmvars.c

flagexp.o:	flaglex.c flagexp.c

flaglex.o:	flaglex.c flagexp.c

install: all
	${INSTALL} -o ${OWNER} -g ${GROUP} -m ${SMODE} ifcico ${BINDIR}/ifcico
	${INSTALL} -o ${OWNER} -g ${GROUP} -m ${SMODE} ifindex ${BINDIR}/ifindex
	${INSTALL} -o ${OWNER} -g ${GROUP} -m ${SMODE} ifinfo ${BINDIR}/ifinfo
	${INSTALL} -o ${OWNER} -g ${GROUP} -m ${SMODE} ifroute ${BINDIR}/ifroute
	${INSTALL} -o ${OWNER} -g ${GROUP} -m ${SMODE} ifstat ${BINDIR}/ifstat
	${INSTALL} -o ${OWNER} -g ${GROUP} -m ${SMODE} nlpatch ${BINDIR}/nlpatch

lc:
	wc -l ${SRCS} ${HDRS} ${OTHER}

clean:
	rm -f *.o flaglex.c flagexp.c ftscprod.c core ${ALL} lastmtime \
	iflog ifdebug filelist version.c Makefile.bak

ifcico:	${OBJCICO} ${UTLIB}
	${CC} ${LDFLAGS} ${OBJCICO} ${UTLIB} -o ifcico ${LIBS}

ifindex: ${OBJINDEX} ${UTLIB}
	${CC} ${LDFLAGS} ${OBJINDEX} ${UTLIB} -o ifindex ${LIBS}

ifinfo: ${OBJINFO} ${UTLIB}
	${CC} ${LDFLAGS} ${OBJINFO} ${UTLIB} -o ifinfo ${LIBS}

ifroute: ${OBJROUTE} ${UTLIB}
	${CC} ${LDFLAGS} ${OBJROUTE} ${UTLIB} -o ifroute ${LIBS} ${LIBRESOLV}

ifstat: ${OBJSTAT} ${UTLIB}
	${CC} ${LDFLAGS} ${OBJSTAT} ${UTLIB} -o ifstat ${LIBS}

nlpatch: ${OBJPATCH} ${UTLIB}
	${CC} ${LDFLAGS} ${OBJPATCH} ${UTLIB} -o nlpatch ${LIBS}

lastmtime: lastmtime.c
	${CC} lastmtime.c -o lastmtime

tar:	ifcico.tar.z

ifcico.tar.z: ${SRCS} ${HDRS} ${OTHER}
	${TAR} cf - ${SRCS} ${HDRS} ${OTHER} | \
	gzip >$@

filelist:	Makefile
	BASE=`pwd`; \
	BASE=`basename $${BASE}`; \
	(for f in ${SRCS} ${HDRS} ${OTHER} ;do echo ifcico-${VERSION}/$${BASE}/$$f; done) \
	>filelist

man:
	${INSTALL} -o ${MANOWNER} -g ${MANGROUP} -m ${MANMODE} ifcico.8 ${MANDIR}/man8/ifcico.8
	${INSTALL} -o ${MANOWNER} -g ${MANGROUP} -m ${MANMODE} ifindex.8 ${MANDIR}/man8/ifindex.8
	${INSTALL} -o ${MANOWNER} -g ${MANGROUP} -m ${MANMODE} ifinfo.8 ${MANDIR}/man8/ifinfo.8
	${INSTALL} -o ${MANOWNER} -g ${MANGROUP} -m ${MANMODE} ifroute.8 ${MANDIR}/man8/ifroute.8
	${INSTALL} -o ${MANOWNER} -g ${MANGROUP} -m ${MANMODE} ifstat.8 ${MANDIR}/man8/ifstat.8
	${INSTALL} -o ${MANOWNER} -g ${MANGROUP} -m ${MANMODE} nlpatch.8 ${MANDIR}/man8/nlpatch.8

man.gz:	man
	( cd ${MANDIR}/man8/ ; gzip -9 ifcico.8 )

config:
	test -f config

version.c:	${SRCS} ${HDRS} flaglex.l flagexp.y lastmtime ../CONFIG
	echo 'char *version=${VERSION};' >version.c
	echo 'char *copyright=${COPYRIGHT};' >>version.c
	echo "char *reldate=\"`./lastmtime ${SRCS} ${HDRS} flaglex.l flagexp.y`\";" >>version.c

depend:	version.c
	@mv -f Makefile Makefile.bak; \
	sed -e '/^# DO NOT DELETE/,$$d' Makefile.bak >Makefile; \
	${ECHO} '# DO NOT DELETE THIS LINE - MAKE DEPEND RELIES ON IT' \
		>>Makefile; \
	${ECHO} '# Dependencies generated by make depend' >>Makefile; \
	for f in ${SRCS} version.c; \
	do \
		${ECHO} "Dependencies for $$f:\c"; \
		${ECHO} "`basename $$f .c`.o:\c" >>Makefile; \
		for h in `sed -n -e \
			's/^#[ 	]*include[ 	]*"\([^"]*\)".*/\1/p' $$f`; \
		do \
			${ECHO} " $$h\c"; \
			if [ -r $$h ]; \
			then \
				${ECHO} " $$h\c" >>Makefile; \
			else \
				${ECHO} " ${INCDIR}/$$h\c" >>Makefile; \
			fi; \
		done; \
		${ECHO} " done."; \
		${ECHO} "" >>Makefile; \
	done; \
	${ECHO} '# End of generated dependencies' >>Makefile

# DO NOT DELETE THIS LINE - MAKE DEPEND RELIES ON IT
# Dependencies generated by make depend
lastmtime.o:
ifcico.o: ../iflib/getopt.h ../iflib/lutil.h ../iflib/xutil.h ../iflib/ftn.h nodelist.h ../iflib/trap.h ../iflib/config.h ../iflib/version.h
nodelist.o: dbz.h ../iflib/directory.h ../iflib/xutil.h ../iflib/lutil.h ../iflib/ftn.h ../iflib/config.h nodelist.h nlindex.h
call.o: ../iflib/lutil.h ../iflib/xutil.h ../iflib/ftn.h nodelist.h ../iflib/config.h session.h ../iflib/callstat.h
callall.o: ../iflib/xutil.h ../iflib/lutil.h ../iflib/ftn.h nodelist.h ../iflib/config.h ../iflib/scanout.h
answer.o: ../iflib/lutil.h ../iflib/ftn.h nodelist.h session.h ../iflib/config.h
modemstr.o: ../iflib/config.h nodelist.h
openport.o: ../iflib/lutil.h ../iflib/xutil.h ../iflib/ulock.h ttyio.h
opentcp.o: ../iflib/lutil.h ttyio.h
dial.o: ../iflib/lutil.h nodelist.h ../iflib/config.h
session.o: ttyio.h ../iflib/lutil.h ../iflib/xutil.h ../iflib/ftn.h nodelist.h statetbl.h session.h ../iflib/config.h emsi.h ../iflib/version.h
chat.o: ../iflib/lutil.h ../iflib/xutil.h nodelist.h ../iflib/config.h
ttyio.o: ttyio.h ../iflib/lutil.h
emsi.o: ../iflib/xutil.h ../iflib/lutil.h ttyio.h session.h statetbl.h ../iflib/config.h emsi.h nodelist.h ../iflib/version.h
ftsc.o: ../iflib/ftn.h ../iflib/getheader.h ../iflib/xutil.h ../iflib/lutil.h session.h ttyio.h statetbl.h ../iflib/config.h
yoohoo.o: statetbl.h ../iflib/xutil.h ../iflib/lutil.h ttyio.h session.h ftscprod.h ../iflib/config.h ../iflib/ftn.h emsi.h nodelist.h ../iflib/version.h
filelist.o: ../iflib/xutil.h ../iflib/lutil.h ../iflib/bwrite.h session.h ../iflib/ftn.h ../iflib/config.h
xmsend.o: session.h ../iflib/lutil.h ttyio.h statetbl.h ../iflib/version.h
xmrecv.o: session.h ttyio.h statetbl.h ../iflib/xutil.h ../iflib/lutil.h ../iflib/config.h
sendbark.o: ../iflib/ftn.h ../iflib/lutil.h ttyio.h session.h statetbl.h
recvbark.o: ../iflib/lutil.h ttyio.h session.h statetbl.h
filetime.o:
m7recv.o: statetbl.h ttyio.h ../iflib/lutil.h
m7send.o: statetbl.h ttyio.h ../iflib/lutil.h
respfreq.o: ../iflib/directory.h session.h ../iflib/xutil.h ../iflib/lutil.h ../iflib/config.h ../iflib/ftnmsg.h ../iflib/version.h
rdoptions.o: session.h ../iflib/xutil.h ../iflib/lutil.h nodelist.h ../iflib/config.h
emsidat.o: ../iflib/ftn.h ../iflib/xutil.h ../iflib/lutil.h emsi.h session.h ../iflib/config.h ../iflib/version.h
wazoo.o: ../iflib/lutil.h ttyio.h session.h statetbl.h ../iflib/config.h emsi.h
janus.o: ../iflib/xutil.h ../iflib/lutil.h ttyio.h session.h ../iflib/config.h emsi.h janus.h
hydra.o: ../iflib/lutil.h ../iflib/xutil.h ttyio.h session.h statetbl.h ../iflib/config.h emsi.h hydra.h
zmsend.o: ttyio.h ../iflib/xutil.h ../iflib/lutil.h session.h zmodem.h emsi.h
zmrecv.o: ../iflib/cspace.h ../iflib/xutil.h ../iflib/lutil.h ttyio.h zmodem.h session.h ../iflib/config.h emsi.h
zmmisc.o: ../iflib/xutil.h ../iflib/lutil.h ttyio.h zmodem.h
zmrle.o: ../iflib/lutil.h ttyio.h zmodem.h
tcp.o: ../iflib/lutil.h ttyio.h session.h statetbl.h ../iflib/config.h emsi.h
tcpproto.o: ../iflib/xutil.h ../iflib/lutil.h ttyio.h session.h ../iflib/config.h emsi.h
openfile.o: ../iflib/xutil.h ../iflib/lutil.h ../iflib/config.h
dietifna.o: ../iflib/lutil.h ttyio.h session.h emsi.h
openterm.o: ../iflib/lutil.h
nlindex.o: ../iflib/directory.h dbz.h ../iflib/xutil.h ../iflib/lutil.h ../iflib/ftn.h ../iflib/config.h nodelist.h nlindex.h nldbz.h
nodebld.o: dbz.h nldbz.h ../iflib/directory.h ../iflib/xutil.h ../iflib/lutil.h ../iflib/ftn.h ../iflib/config.h nodelist.h nlindex.h
ifindex.o: ../iflib/getopt.h ../iflib/lutil.h nodelist.h nlindex.h ../iflib/config.h ../iflib/version.h ../iflib/trap.h
ifroute.o: ../iflib/getopt.h ../iflib/lutil.h ../iflib/xutil.h ../iflib/ftn.h nodelist.h ../iflib/config.h ../iflib/version.h ../iflib/trap.h
mxlookup.o:
nlpatch.o: ../iflib/getopt.h ../iflib/xutil.h ../iflib/lutil.h ../iflib/version.h ../iflib/config.h
nldbz.o: ../iflib/lutil.h ../iflib/xutil.h nldbz.h dbz.h
dbz.o: ../iflib/configdata.h ../iflib/clibrary.h dbz.h
ifstat.o: ../iflib/getopt.h ../iflib/lutil.h ../iflib/xutil.h ../iflib/ftn.h ../iflib/config.h ../iflib/scanout.h ../iflib/version.h ../iflib/trap.h
ifinfo.o: ../iflib/getopt.h ../iflib/lutil.h ../iflib/xutil.h ../iflib/ftn.h nodelist.h nlindex.h ../iflib/config.h ../iflib/version.h ../iflib/trap.h
version.o:
# End of generated dependencies

=== iflib/Makefile ===
INCDIR = .

include ../CONFIG

DEFINES =	-DDEBUGFILE=\"${DEBUGFILE}\" \
		-DLOGFILE=\"${LOGFILE}\" \
		-DCONFIGFILE=\"${CONFIGFILE}\" \
		-DLOCKDIR=\"${LOCKDIR}\" \
		-DPUBDIR=\"${PUBDIR}\" \
		-DFAKEDIR=\"${FAKEDIR}\" \
		-DMAILLOG=${MAILLOG} \
		-DNEWSLOG=${NEWSLOG} \
		-DCICOLOG=${CICOLOG} \
		${OPTS}

OBJS = lutil.o xutil.o ulock.o rfcdate.o sequencer.o ftnmsg.o \
		crc.o parsedate.o gettime.o execute.o execsh.o \
		rdconfig.o ftn.o packet.o pktname.o bwrite.o \
		bread.o getheader.o scanout.o matchaka.o atoul.o \
		nodelock.o trap.o rfcaddr.o expipe.o callstat.o \
		cspace.o setprocn.o \
		${NEEDED}
SRCS = lutil.c xutil.c ulock.c rfcdate.c sequencer.c ftnmsg.c crc.c \
		strncasecmp.c strcasecmp.c \
		rename.c mkdir.c parsedate.y gettime.c \
		rdconfig.c ftn.c packet.c pktname.c bwrite.c \
		bread.c getheader.c scanout.c matchaka.c usleep.c \
		execute.c execsh.c regexpr.c atoul.c \
		nodelock.c trap.c rfcaddr.c expipe.c callstat.c \
		dirent.c cspace.c setprocn.c log.c
HDRS = lutil.h xutil.h ulock.h libinn.h macros.h configdata.h clibrary.h \
		config.h ftn.h bwrite.h bread.h getheader.h getopt.h \
		scanout.h trap.h rfcaddr.h ftnmsg.h rfcmsg.h callstat.h \
		version.h directory.h cspace.h log.h
OTHER = Makefile README parsedate.3 mkvars.c

#############################################################################

.c.o:
	${CC} ${CFLAGS} ${INCLUDES} ${DEFINES} -c $<

all:		utlib.a

parsedate.c:	parsedate.y
	@echo expect 6 shift/reduce conflicts
	${YACC} parsedate.y
	mv y.tab.c parsedate.c
	@echo expect 4 warnings compiling parsedate.c

utlib.a:	${OBJS}
	${AR} r $@ $?
	${RANLIB} $@

clean:
	rm -f utlib.a *.o getdate.c parsedate.c testscan testconf testtrap \
	testrfcaddr core filelist Makefile.bak

install:	all

tar:		utlib.tar.z

utlib.tar.z:	${SRCS} ${HDRS} ${OTHER}
	${TAR} cf - ${SRCS} ${HDRS} ${OTHER} \
	| gzip >$@

filelist:	Makefile
	BASE=`pwd`; \
	BASE=`basename $${BASE}`; \
	(for f in ${SRCS} ${HDRS} ${OTHER} ;do echo ifcico-${VERSION}/$${BASE}/$$f; done) \
	>filelist

man:

testconf:	rdconfig.c config.h utlib.a
	cc -g -Wall -DTESTING rdconfig.c utlib.a -o $@

tryconf: testconf
	./testconf ../misc/config

testscan:	scanout.c scanout.h utlib.a
	cc -g -Wall -DTESTING scanout.c utlib.a -o $@

tryscan: testscan
	./testscan ../misc/config

testtrap:	trap.c
	cc -g -Wall -DNEED_TRAP -DTESTING trap.c utlib.a -o $@

trytrap:	testtrap
	./testtrap

testrfcaddr:	rfcaddr.c rfcaddr.h
	cc -g -Wall -DTESTING rfcaddr.c utlib.a -o $@

tryrfcaddr:	testrfcaddr
	./testrfcaddr

depend:
	@rm -f Makefile.bak; \
	mv Makefile Makefile.bak; \
	sed -e '/^# DO NOT DELETE/,$$d' Makefile.bak >Makefile; \
	${ECHO} '# DO NOT DELETE THIS LINE - MAKE DEPEND RELIES ON IT' \
		>>Makefile; \
	${ECHO} '# Dependencies generated by make depend' >>Makefile; \
	for f in ${SRCS}; \
	do \
		${ECHO} "Dependencies for $$f:\c"; \
		${ECHO} "`basename $$f .c`.o:\c" >>Makefile; \
		for h in `sed -n -e \
			's/^#[ 	]*include[ 	]*"\([^"]*\)".*/\1/p' $$f`; \
		do \
			${ECHO} " $$h\c"; \
			${ECHO} " $$h\c" >>Makefile; \
		done; \
		${ECHO} " done."; \
		${ECHO} "" >>Makefile; \
	done; \
	${ECHO} '# End of generated dependencies' >>Makefile

# DO NOT DELETE THIS LINE - MAKE DEPEND RELIES ON IT
# Dependencies generated by make depend
lutil.o: xutil.h
xutil.o: xutil.h lutil.h
ulock.o: lutil.h
rfcdate.o:
sequencer.o: lutil.h config.h
ftnmsg.o: lutil.h bwrite.h ftn.h ftnmsg.h
crc.o:
strncasecmp.o:
strcasecmp.o:
rename.o:
mkdir.o:
parsedate.y.o: configdata.h libinn.h macros.h
gettime.o: configdata.h clibrary.h libinn.h
rdconfig.o: xutil.h lutil.h ftn.h config.h log.h
ftn.o: lutil.h xutil.h ftn.h rfcaddr.h config.h
packet.o: xutil.h lutil.h ftn.h config.h bwrite.h
pktname.o: directory.h lutil.h xutil.h ftn.h config.h
bwrite.o: bwrite.h config.h
bread.o: bread.h config.h
getheader.o: lutil.h ftn.h bread.h config.h
scanout.o: directory.h xutil.h config.h ftn.h scanout.h lutil.h
matchaka.o: ftn.h lutil.h config.h
usleep.o:
execute.o: lutil.h
execsh.o: lutil.h
regexpr.o:
atoul.o:
nodelock.o: xutil.h lutil.h ftn.h
trap.o: lutil.h trap.h lutil.h
rfcaddr.o: xutil.h rfcaddr.h
expipe.o: lutil.h
callstat.o: lutil.h ftn.h callstat.h
dirent.o: directory.h
cspace.o: lutil.h cspace.h
setprocn.o:
log.o: log.h config.h
# End of generated dependencies

=== debian/changelog ===
ifcico-cm (3.0alpha.0.3.0-4) frozen unstable; urgency=low

  * Corrected "dosoutbound" bug.

 -- Marco d'Itri <md@linux.it>  Wed, 13 May 1998 12:27:26 -0700

ifcico-cm (3.0alpha.0.3.0-3) unstable; urgency=low

  * Corrected bug Bug#20073

 -- Marco d'Itri <md@linux.it>  Mon, 23 Mar 1998 12:46:06 -0800

ifcico-cm (3.0alpha.0.3.0-2) frozen unstable; urgency=low

  * Compiled for glibc2 and moved to hamm/comm

 -- Marco d'Itri <md@linux.it>  Sun, 10 Feb 1998 15:21:01 +0100

ifcico-cm (3.0alpha.0.3.0) unstable; urgency=low

  * patched rdconfig.c to remove warnings when ifmail-tx is used
  * New upstream release

 -- Marco d'Itri <md@linux.it>  Sun, 11 Jan 1998 15:21:01 +0100

ifcico-cm (3.0alpha.0.2.2) unstable; urgency=low

  * Initial Release.

 -- Marco d'Itri <md@linux.it>  Mon, 29 Dec 1997 20:28:35 +0100

Local variables:
mode: debian-changelog
add-log-mailing-address: "md@linux.it"
End:

=== debian/control ===
Source: ifcico-cm
Section: comm
Priority: optional
Maintainer: Marco d'Itri <md@linux.it>
Standards-Version: 2.1.2.2

Package: ifcico-cm
Architecture: any
Depends: ${shlibs:Depends}, ifmail
Provides: ifcico
Conflicts: ifcico
Description: Fidonet Technology transport package
 Ifcico is a FidoTech mailer for connecting to other nodes via the phone
 or the Internet.
 This version includes the "tx" patches and the "cm" patches.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

build:
	$(checkdir)
	
	make -j4 #CFLAGS="-O2 -g -Wall"

	touch build

clean:
	$(checkdir)
	-rm -f build
	-make clean
	-rm -rf debian/tmp debian/files* core debian/substvars

#binary-indep: checkroot build
#	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.
#	-rm -rf debian/tmp debian/files* core debian/substvars

binary-arch:	checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp
	cd debian/tmp && install -d \
		usr/doc/ifcico-cm \
		usr/lib/ifmail \
		usr/man/man8

	install --strip ifcico/{ifcico,ifindex,ifinfo,ifstat,nlpatch} \
				 debian/tmp/usr/lib/ifmail/

	cp ifcico/{ifcico,ifindex,ifinfo,ifstat,nlpatch}.8 \
				 debian/tmp/usr/man/man8/

	debstd -m
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

binary:		binary-arch #binary-indep

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## ifcico-cm 3.0alpha.4.0

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 TARFILE = ifcico-${VERSION}.tar.gz
 DIRS = iflib ifcico
 
-all install depend man:
+all install depend man man.gz:
 	for d in ${DIRS}; do (cd $$d && echo $$d && ${MAKE} $@) || exit; done;
 
 clean:

=== ifcico/Makefile ===
--- 
+++ 
@@ -25,8 +25,9 @@
 		nlindex.o openterm.o nldbz.o dbz.o
 OBJINDEX = version.o ifindex.o nodebld.o nlindex.o nldbz.o dbz.o
 OBJINFO = version.o ifinfo.o nodelist.o nlindex.o nldbz.o dbz.o
+OBJPATCH = version.o nlpatch.o
+OBJREQ = version.o ifreq.o #nodelist.o nlindex.o nldbz.o dbz.o
 OBJROUTE = version.o ifroute.o mxlookup.o nodelist.o nlindex.o nldbz.o dbz.o
-OBJPATCH = version.o nlpatch.o
 OBJSTAT = version.o ifstat.o
 SRCS = lastmtime.c ifcico.c nodelist.c call.c callall.c answer.c \
 		modemstr.c openport.c opentcp.c dial.c session.c \
@@ -38,14 +39,15 @@
 		tcp.c tcpproto.c \
 		openfile.c dietifna.c openterm.c \
 		nlindex.c nodebld.c ifindex.c ifroute.c mxlookup.c \
-		nlpatch.c nldbz.c dbz.c ifstat.c ifinfo.c
+		nlpatch.c nldbz.c dbz.c ifstat.c ifinfo.c ifreq.c
 HDRS = nodelist.h statetbl.h session.h ttyio.h emsi.h zmodem.h \
-		ftscprod.h nlindex.h janus.h hydra.h fsm.h dbz.h nldbz.h
+		ftscprod.h nlindex.h janus.h hydra.h fsm.h dbz.h nldbz.h \
+		filetime.h openfile.h
 OTHER = README README.mxlookup README.TELNET Makefile \
 		flaglex.l flagexp.y \
 		ftscprod.090 mkprod.awk \
-		ifcico.8 ifindex.8 ifinfo.8 ifroute.8 ifstat.8 nlpatch.8
-ALL = ifcico ifindex ifinfo ifroute ifstat nlpatch
+		ifcico.8 ifindex.8 ifinfo.8 ifreq.8 ifroute.8 ifstat.8 nlpatch.8
+ALL = ifcico ifindex ifinfo ifreq ifroute ifstat nlpatch
 
 .c.o:
 	${CC} -c ${CFLAGS} ${INCLUDES} ${DEFINES} $<
@@ -77,6 +79,7 @@
 	${INSTALL} -o ${OWNER} -g ${GROUP} -m ${SMODE} ifcico ${BINDIR}/ifcico
 	${INSTALL} -o ${OWNER} -g ${GROUP} -m ${SMODE} ifindex ${BINDIR}/ifindex
 	${INSTALL} -o ${OWNER} -g ${GROUP} -m ${SMODE} ifinfo ${BINDIR}/ifinfo
+	${INSTALL} -o ${OWNER} -g ${GROUP} -m ${SMODE} ifreq ${BINDIR}/ifreq
 	${INSTALL} -o ${OWNER} -g ${GROUP} -m ${SMODE} ifroute ${BINDIR}/ifroute
 	${INSTALL} -o ${OWNER} -g ${GROUP} -m ${SMODE} ifstat ${BINDIR}/ifstat
 	${INSTALL} -o ${OWNER} -g ${GROUP} -m ${SMODE} nlpatch ${BINDIR}/nlpatch
@@ -96,6 +99,9 @@
 
 ifinfo: ${OBJINFO} ${UTLIB}
 	${CC} ${LDFLAGS} ${OBJINFO} ${UTLIB} -o ifinfo ${LIBS}
+
+ifreq: ${OBJREQ} ${UTLIB}
+	${CC} ${LDFLAGS} ${OBJREQ} ${UTLIB} -o ifreq ${LIBS}
 
 ifroute: ${OBJROUTE} ${UTLIB}
 	${CC} ${LDFLAGS} ${OBJROUTE} ${UTLIB} -o ifroute ${LIBS} ${LIBRESOLV}
@@ -125,12 +131,13 @@
 	${INSTALL} -o ${MANOWNER} -g ${MANGROUP} -m ${MANMODE} ifcico.8 ${MANDIR}/man8/ifcico.8
 	${INSTALL} -o ${MANOWNER} -g ${MANGROUP} -m ${MANMODE} ifindex.8 ${MANDIR}/man8/ifindex.8
 	${INSTALL} -o ${MANOWNER} -g ${MANGROUP} -m ${MANMODE} ifinfo.8 ${MANDIR}/man8/ifinfo.8
+	${INSTALL} -o ${MANOWNER} -g ${MANGROUP} -m ${MANMODE} ifreq.8 ${MANDIR}/man8/ifreq.8
 	${INSTALL} -o ${MANOWNER} -g ${MANGROUP} -m ${MANMODE} ifroute.8 ${MANDIR}/man8/ifroute.8
 	${INSTALL} -o ${MANOWNER} -g ${MANGROUP} -m ${MANMODE} ifstat.8 ${MANDIR}/man8/ifstat.8
 	${INSTALL} -o ${MANOWNER} -g ${MANGROUP} -m ${MANMODE} nlpatch.8 ${MANDIR}/man8/nlpatch.8
 
 man.gz:	man
-	( cd ${MANDIR}/man8/ ; gzip -9 ifcico.8 )
+	( cd ${MANDIR}/man8/ ; gzip -f9 ifcico.8 ifindex.8 ifinfo.8 ifreq.8 ifroute.8 ifstat.8 nlpatch.8 )
 
 config:
 	test -f config
@@ -197,14 +204,14 @@
 emsidat.o: ../iflib/ftn.h ../iflib/xutil.h ../iflib/lutil.h emsi.h session.h ../iflib/config.h ../iflib/version.h
 wazoo.o: ../iflib/lutil.h ttyio.h session.h statetbl.h ../iflib/config.h emsi.h
 janus.o: ../iflib/xutil.h ../iflib/lutil.h ttyio.h session.h ../iflib/config.h emsi.h janus.h
-hydra.o: ../iflib/lutil.h ../iflib/xutil.h ttyio.h session.h statetbl.h ../iflib/config.h emsi.h hydra.h
+hydra.o: ../iflib/lutil.h ../iflib/xutil.h filetime.h ttyio.h session.h statetbl.h ../iflib/config.h emsi.h openfile.h hydra.h
 zmsend.o: ttyio.h ../iflib/xutil.h ../iflib/lutil.h session.h zmodem.h emsi.h
 zmrecv.o: ../iflib/cspace.h ../iflib/xutil.h ../iflib/lutil.h ttyio.h zmodem.h session.h ../iflib/config.h emsi.h
 zmmisc.o: ../iflib/xutil.h ../iflib/lutil.h ttyio.h zmodem.h
 zmrle.o: ../iflib/lutil.h ttyio.h zmodem.h
 tcp.o: ../iflib/lutil.h ttyio.h session.h statetbl.h ../iflib/config.h emsi.h
 tcpproto.o: ../iflib/xutil.h ../iflib/lutil.h ttyio.h session.h ../iflib/config.h emsi.h
-openfile.o: ../iflib/xutil.h ../iflib/lutil.h ../iflib/config.h
+openfile.o: openfile.h ../iflib/xutil.h ../iflib/lutil.h ../iflib/config.h
 dietifna.o: ../iflib/lutil.h ttyio.h session.h emsi.h
 openterm.o: ../iflib/lutil.h
 nlindex.o: ../iflib/directory.h dbz.h ../iflib/xutil.h ../iflib/lutil.h ../iflib/ftn.h ../iflib/config.h nodelist.h nlindex.h nldbz.h
@@ -214,8 +221,9 @@
 mxlookup.o:
 nlpatch.o: ../iflib/getopt.h ../iflib/xutil.h ../iflib/lutil.h ../iflib/version.h ../iflib/config.h
 nldbz.o: ../iflib/lutil.h ../iflib/xutil.h nldbz.h dbz.h
-dbz.o: ../iflib/configdata.h ../iflib/clibrary.h dbz.h
+dbz.o: dbz.h
 ifstat.o: ../iflib/getopt.h ../iflib/lutil.h ../iflib/xutil.h ../iflib/ftn.h ../iflib/config.h ../iflib/scanout.h ../iflib/version.h ../iflib/trap.h
 ifinfo.o: ../iflib/getopt.h ../iflib/lutil.h ../iflib/xutil.h ../iflib/ftn.h nodelist.h nlindex.h ../iflib/config.h ../iflib/version.h ../iflib/trap.h
+ifreq.o: ../iflib/getopt.h ../iflib/lutil.h ../iflib/xutil.h ../iflib/ftn.h ../iflib/config.h ../iflib/version.h ../iflib/trap.h
 version.o:
 # End of generated dependencies

=== iflib/Makefile ===
--- 
+++ 
@@ -1,3 +1,6 @@
+# Makefile for ifcico FidoNet mailer
+# Copyright (c) 1993, 1994 by Eugene G. Crosser
+
 INCDIR = .
 
 include ../CONFIG
@@ -14,7 +17,7 @@
 		${OPTS}
 
 OBJS = lutil.o xutil.o ulock.o rfcdate.o sequencer.o ftnmsg.o \
-		crc.o parsedate.o gettime.o execute.o execsh.o \
+		crc.o execute.o execsh.o \
 		rdconfig.o ftn.o packet.o pktname.o bwrite.o \
 		bread.o getheader.o scanout.o matchaka.o atoul.o \
 		nodelock.o trap.o rfcaddr.o expipe.o callstat.o \
@@ -22,7 +25,7 @@
 		${NEEDED}
 SRCS = lutil.c xutil.c ulock.c rfcdate.c sequencer.c ftnmsg.c crc.c \
 		strncasecmp.c strcasecmp.c \
-		rename.c mkdir.c parsedate.y gettime.c \
+		rename.c mkdir.c \
 		rdconfig.c ftn.c packet.c pktname.c bwrite.c \
 		bread.c getheader.c scanout.c matchaka.c usleep.c \
 		execute.c execsh.c regexpr.c atoul.c \
@@ -32,7 +35,7 @@
 		config.h ftn.h bwrite.h bread.h getheader.h getopt.h \
 		scanout.h trap.h rfcaddr.h ftnmsg.h rfcmsg.h callstat.h \
 		version.h directory.h cspace.h log.h
-OTHER = Makefile README parsedate.3 mkvars.c
+OTHER = Makefile README mkvars.c
 
 #############################################################################
 
@@ -41,18 +44,12 @@
 
 all:		utlib.a
 
-parsedate.c:	parsedate.y
-	@echo expect 6 shift/reduce conflicts
-	${YACC} parsedate.y
-	mv y.tab.c parsedate.c
-	@echo expect 4 warnings compiling parsedate.c
-
 utlib.a:	${OBJS}
 	${AR} r $@ $?
 	${RANLIB} $@
 
 clean:
-	rm -f utlib.a *.o getdate.c parsedate.c testscan testconf testtrap \
+	rm -f utlib.a *.o getdate.c testscan testconf testtrap \
 	testrfcaddr core filelist Makefile.bak
 
 install:	all
@@ -69,7 +66,7 @@
 	(for f in ${SRCS} ${HDRS} ${OTHER} ;do echo ifcico-${VERSION}/$${BASE}/$$f; done) \
 	>filelist
 
-man:
+man man.gz:
 
 testconf:	rdconfig.c config.h utlib.a
 	cc -g -Wall -DTESTING rdconfig.c utlib.a -o $@
@@ -130,8 +127,6 @@
 strcasecmp.o:
 rename.o:
 mkdir.o:
-parsedate.y.o: configdata.h libinn.h macros.h
-gettime.o: configdata.h clibrary.h libinn.h
 rdconfig.o: xutil.h lutil.h ftn.h config.h log.h
 ftn.o: lutil.h xutil.h ftn.h rfcaddr.h config.h
 packet.o: xutil.h lutil.h ftn.h config.h bwrite.h

=== contrib/iftelnetd/Makefile ===
# $Header: /users/lord/src/iftelnetd/Makefile,v 1.2 1995/09/09 11:28:08 lord Exp $

iftelnetd:	iftelnetd.c
	cc -O2 -o iftelnetd iftelnetd.c

clean:
	rm -f iftelnetd *.o

install: iftelnetd
	cp iftelnetd /usr/lib/ifmail
	chown fnet:uucp /usr/lib/ifmail/iftelnetd
	chmod a+rx /usr/lib/ifmail/iftelnetd
